Package org.opensaml.core.xml.schema

# Interface XSDateTime

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `XSDateTimeImpl`

public interface XSDateTime extends XMLObject
XMLObject that represents an XML Schema dateTime.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getValue()`
Gets the dateTime value.
`void`
`setValue(Instant newValue)`
Sets the dateTime value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable Instant getValue()
Gets the dateTime value.

Returns:
  the dateTime value

### setValue

void setValue(@Nullable Instant newValue)
Sets the dateTime value.

Parameters:
  `newValue` - the dateTime value